%define debug_package %{nil}
%if 0%{!?mkrel:1}
%define mkrel(c) %{1}%{?dist}
%endif

Name:           cyrus-sasl-xoauth2
Version:        0.2
Release:        %mkrel 1.3
Summary:        XOAUTH2 mechanism plugin for cyrus-sasl

License:        MIT
URL:            https://github.com/moriyoshi/cyrus-sasl-xoauth2
Source0:        https://github.com/moriyoshi/cyrus-sasl-xoauth2/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
Patch0:         cyrus-sasl-xoauth2-return-values.diff
Patch1:         cyrus-sasl-xoauth2-modernize.diff

BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libtool
BuildRequires:  make
BuildRequires:  gcc
BuildRequires:  pkgconfig(libsasl2)
Recommends:     cyrus-sasl

%define _description %{expand:
This is a plugin implementation of XOAUTH2 (https://developers.google.com/gmail/xoauth2_protocol).

FYI: if you are forced to use XOAUTH2-enabled SMTP / IMAP servers and want to keep using your favorite *nix MUA locally, the following detailed document should help a lot: http://mmogilvi.users.sourceforge.net/software/oauthbearer.html
}}

%if 0%{?mklibname:1}
%define pluginname %{mklibname sasl2-plug-xoauth2}
%package -n %pluginname
Summary:        XOAUTH2 mechanism plugin for cyrus-sasl
Obsoletes: %{name} < %{version}-%{release}
Provides:  %{name} = %{version}-%{release}

%description
%{_description}
%else
%define pluginname %{name}
%endif

%description -n %pluginname
%{_description}

%prep
%autosetup -p1
./autogen.sh

%build
%configure
%make_build

%install
%make_install

%files -n %pluginname
%{_libdir}/sasl2/

%changelog
* Tue Jun 16 2020 Nurmukhamed Artykaly <nurmukhamed.artykaly@hdfilm.kz> - 0.2
- Initial commit
